# Command: eq

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    eq - Test two objects for equality

Synopsis:

    any1 any2 eq -> bool

Description:

    eq returns true if the two arguments are equal and false
      otherwise.

      eq can also be applied to container objecs like arrays, procedures, strings,
      and dictionaries:
      * two arrays or strings are equal, if all their components are equal.
      * two dictionaries are equal, if they represent the same object.

SeeAlso:

- neq
- gt
- lt
- leq
- geq

Source:

    /opt/conda/conda-bld/nest_1512418773968/work/nest-2.14.0/sli/slimath.cc

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative